Remote Lights-Out Mgmt (iLO 2, iLO, RILOE II) Forum
cancel

iLO 2 XML Script Firmware Upgrade Errors

Highlighted
Split71
Frequent Contributor.

iLO 2 XML Script Firmware Upgrade Errors

I'm in the process of trying to update all of our iLO's (iLO 2) in our environment via the HPONCFG utility. All of our iLO's are at least on firmware 1.40. This has given us some problems though. Just on the first two servers we've tried, it's been this same error (Firmware versions 1.50 and 1.91).

Here's the script we are using to update the iLO's.









Now i receive the error

Status = 0x1

"Syntax Error: Line #1: syntax error near "" in the line: "RIBCL VERSION"="2.0">


What am i missing? The code is straight from the XML scripting examples provided by HP.

The process i use is i navigate to the hponcfg directory on the server and type:

hponcfg /f ilofirmware.xml
8 REPLIES
WFHC-WI
Honored Contributor.

Re: iLO 2 XML Script Firmware Upgrade Errors

hi split,

What version of HPONCFG are you using? Version 8.50 of the toolset is out and it includes version 3.1.0.0 of that utility.

My sample from that set begins with the line:



good luck!
Split71
Frequent Contributor.

Re: iLO 2 XML Script Firmware Upgrade Errors

I've tried it with the XML header also with the same error except it points to the XML line of code instead of the RIBCL. In other words it's halting at the first line of code for whatever is put there.

And i believe the current HPONCFG we are using is 1.5.2.0

I cannot find any documentation stating whether the HPONCFG has to be updated or not.

Thanks
Split71
Frequent Contributor.

Re: iLO 2 XML Script Firmware Upgrade Errors

Update:

I updated to the latest HPONCFG 3.1 version and it made no difference. I also updated the management controller driver for the iLO to the newest one and it also didn't help. Still getting the same error when running the script.

Any ideas?
Jimmy Vance
HPE Pro

Re: iLO 2 XML Script Firmware Upgrade Errors

Try removing

As the example XML states for use with iLO2 this statement requires version 1.70 or later with TPM enabled













__________________________________________________
No support by private messages. Please ask the forum!      I work for HPE

If you feel this was helpful please click the KUDOS! thumb below!   
WFHC-WI
Honored Contributor.

Re: iLO 2 XML Script Firmware Upgrade Errors

Do you have the Trusted Platform Module chip installed and set to enable Expansion ROM measuring?

If not, you don't need to include the TPM value.

good luck!
Split71
Frequent Contributor.

Re: iLO 2 XML Script Firmware Upgrade Errors

I will look into this and report back.
Split71
Frequent Contributor.

Re: iLO 2 XML Script Firmware Upgrade Errors

I actually went on to not using the HPONCFG command for my purposes. I wrote a Python script that SSH's into the iLO 2's directly. It then navigates to the firmware 'Directory' if you will, and loads the new firmware from a source on our network.

This has proved to be just as effective as using the HPONCFG utility.
HughesPat57
New Member.

Re: iLO 2 XML Script Firmware Upgrade Errors

This is an old post but it is the only reference to this error I have found and has had several hundred views.

So here is what I finaly found after experencing this same issue:

 

It seems to be an error caused by a line that is not supported by the ILO firmware version.

 

I elminated sections of my xml file until the error stopped, then added the offending section in a few lines at a time.

 

In my case it was a call to

<SHARED_NETWORK_PORT VALUE="N" />
<VLAN ENABLED="N" />
<VLAN_ID VALUE="0" />

which were unsupported by this particular server ilo firmware level.

 

Leaving those lines out resolved my issues.